org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PatternModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    PatternModel
  All Known Implementing Classes:
    PatternModelImpl, PatternModelImpl

      public interface PatternModel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Pattern Model'.

  The following features are supported:

  - `Package Name`
  - `Patterns`
  See Also:
    `PatternLanguagePackage.getPatternModel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackageName()` Returns the value of the 'Package Name' attribute.
    `org.eclipse.emf.common.util.EList<Pattern>` | `getPatterns()` Returns the value of the 'Patterns' containment reference list.
    `void` | `setPackageName(java.lang.String value)` Sets the value of the '`Package Name`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPackageName

          java.lang.String getPackageName()

      Returns the value of the 'Package Name' attribute.

      If the meaning of the 'Package Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Package Name' attribute.
      See Also:
        `setPackageName(String)`, `PatternLanguagePackage.getPatternModel_PackageName()`

    - #### setPackageName

          void setPackageName(java.lang.String value)

      Sets the value of the '`Package Name`' attribute.
      Parameters:
        `value` - the new value of the 'Package Name' attribute.
      See Also:
        `getPackageName()`

    - #### getPatterns

          org.eclipse.emf.common.util.EList<Pattern> getPatterns()

      Returns the value of the 'Patterns' containment reference list. The list contents are of type `Pattern`.

      If the meaning of the 'Patterns' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Patterns' containment reference list.
      See Also:
        `PatternLanguagePackage.getPatternModel_Patterns()`